Package org.apache.solr.client.solrj.impl

## Class HttpJdkSolrClient.HttpSolrClientCancellable

- java.lang.Object
- - org.apache.solr.client.solrj.impl.HttpJdkSolrClient.HttpSolrClientCancellable

All Implemented Interfaces:
  `Cancellable`

Enclosing class:
  HttpJdkSolrClient

    protected static class HttpJdkSolrClient.HttpSolrClientCancellable
    extends Object
    implements Cancellable

### Constructor Summary

Constructors
`protected` `HttpSolrClientCancellable​(CompletableFuture<NamedList<Object>> response)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `cancel()` Request to cancel the asynchronous request.
`protected CompletableFuture<NamedList<Object>>` `getResponse()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HttpSolrClientCancellable

    protected HttpSolrClientCancellable​(CompletableFuture<NamedList<Object>> response)

### Method Detail

#### cancel

    public void cancel()

Description copied from interface: `Cancellable`
Request to cancel the asynchronous request. This may be a no-op in some situations, for instance, if the request failed or otherwise is complete.

Specified by:
  `cancel` in interface `Cancellable`

#### getResponse

    protected CompletableFuture<NamedList<Object>> getResponse()